# -*- coding: utf-8 -*-
###############################################################################
#
#    Odoo, Open Source Management Solution
#    Copyright (C) 2015 XCG Consulting (http://www.xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
from odoo import _, api, exceptions, fields, models


class wiz_tracker(models.TransientModel):

    _name = "marketing.campaign.tracker.wizard"

    age = fields.Integer()

    @api.multi
    def cleanup(self):
        for wiz in self.browse():
            if wiz.age <= 50:
                raise exceptions.Warning(
                    _("User Error"), _("Please select a larger age")
                )
        return {}
